## org.apache.myfaces.custom.navigation
Class HtmlPanelNavigationTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          javax.faces.webapp.UIComponentBodyTag
              org.apache.myfaces.taglib.UIComponentBodyTagBase
                  org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
                      org.apache.myfaces.taglib.html.HtmlPanelGroupTagBase
                          org.apache.myfaces.taglib.html.ext.HtmlPanelGroupTag
                              org.apache.myfaces.custom.navigation.HtmlPanelNavigationTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlPanelNavigationTag
extends HtmlPanelGroupTag

DOCUMENT ME!

Version:
  $Revision: 167608 $ $Date: 2005-02-18 12:19:31 -0500 (Fri, 18 Feb 2005) $
Author:
  Manfred Geiler (latest modification by $Author: matzew $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentBodyTag
`bodyContent`

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlPanelNavigationTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setActiveItemClass(java.lang.String activeItemClass)`
`void` `setActiveItemStyle(java.lang.String activeItemStyle)`
`void` `setAlign(java.lang.String align)`
`void` `setBgcolor(java.lang.String bgcolor)`
`void` `setBorder(java.lang.String border)`
`void` `setCellpadding(java.lang.String cellpadding)`
`void` `setCellspacing(java.lang.String cellspacing)`
`void` `setDatafld(java.lang.String datafld)`
`void` `setDataformatas(java.lang.String dataformatas)`
`void` `setDatasrc(java.lang.String datasrc)`
`void` `setFrame(java.lang.String frame)`
`void` `setItemClass(java.lang.String itemClass)`
`void` `setItemStyle(java.lang.String itemStyle)`
`void` `setOpenItemClass(java.lang.String openItemClass)`
`void` `setOpenItemStyle(java.lang.String openItemStyle)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setRules(java.lang.String rules)`
`void` `setSeparatorClass(java.lang.String separatorClass)`
`void` `setSeparatorStyle(java.lang.String separatorStyle)`
`void` `setSummary(java.lang.String summary)`
`void` `setWidth(java.lang.String width)`

Methods inherited from class org.apache.myfaces.taglib.html.ext.HtmlPanelGroupTag
`setDisplayValueOnly, setDisplayValueOnlyStyle, setDisplayValueOnlyStyleClass, setEnabledOnUserRole, setVisibleOnUserRole`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentBodyTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentBodyTagBase
`doEndTag, setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setIntegerProperty, setStringProperty, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty, setValueProperty`

Methods inherited from class javax.faces.webapp.UIComponentBodyTag
`doAfterBody, doInitBody, getBodyContent, getDoAfterBodyValue, getDoStartValue, getPreviousOut, setBodyContent`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`doStartTag, getParent, setPageContext, setParent`

Constructor Detail

### HtmlPanelNavigationTag

    public HtmlPanelNavigationTag()

Method Detail

### getComponentType

    public java.lang.String getComponentType()

  Overrides:
    `getComponentType` in class `HtmlPanelGroupTag`

### getRendererType

    public java.lang.String getRendererType()

  Overrides:
    `getRendererType` in class `HtmlPanelGroupTag`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlPanelGroupTag`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlPanelGroupTag`

### setItemClass

    public void setItemClass(java.lang.String itemClass)

### setOpenItemClass

    public void setOpenItemClass(java.lang.String openItemClass)

### setActiveItemClass

    public void setActiveItemClass(java.lang.String activeItemClass)

### setSeparatorClass

    public void setSeparatorClass(java.lang.String separatorClass)

### setItemStyle

    public void setItemStyle(java.lang.String itemStyle)

### setOpenItemStyle

    public void setOpenItemStyle(java.lang.String openItemStyle)

### setActiveItemStyle

    public void setActiveItemStyle(java.lang.String activeItemStyle)

### setSeparatorStyle

    public void setSeparatorStyle(java.lang.String separatorStyle)

### setAlign

    public void setAlign(java.lang.String align)

### setBgcolor

    public void setBgcolor(java.lang.String bgcolor)

### setBorder

    public void setBorder(java.lang.String border)

### setCellpadding

    public void setCellpadding(java.lang.String cellpadding)

### setCellspacing

    public void setCellspacing(java.lang.String cellspacing)

### setDatafld

    public void setDatafld(java.lang.String datafld)

### setDatasrc

    public void setDatasrc(java.lang.String datasrc)

### setDataformatas

    public void setDataformatas(java.lang.String dataformatas)

### setFrame

    public void setFrame(java.lang.String frame)

### setRules

    public void setRules(java.lang.String rules)

### setSummary

    public void setSummary(java.lang.String summary)

### setWidth

    public void setWidth(java.lang.String width)